local _, ns = ...
local B, C, L, DB = unpack(ns)
local P = B:GetModule("Plus")

P.BarConfig = {
	icon = {
		texCoord = DB.TexCoord,
		points = {
			{"TOPLEFT", C.mult, -C.mult},
			{"BOTTOMRIGHT", -C.mult, C.mult},
		},
	},
	flyoutBorder = {file = ""},
	flyoutBorderShadow = {file = ""},
	border = {file = ""},
	normalTexture = {
		file = DB.textures.normal,
		texCoord = DB.TexCoord,
		color = {.3, .3, .3},
		points = {
			{"TOPLEFT", 0, 0},
			{"BOTTOMRIGHT", 0, 0},
		},
	},
	flash = {file = DB.textures.flash},
	pushedTexture = {file = DB.textures.pushed},
	checkedTexture = {file = DB.textures.checked},
	highlightTexture = {
		file = "",
		points = {
			{"TOPLEFT", C.mult, -C.mult},
			{"BOTTOMRIGHT", -C.mult, C.mult},
		},
	},
	cooldown = {
		points = {
			{"TOPLEFT", 0, 0},
			{"BOTTOMRIGHT", 0, 0},
		},
	},
	name = {
		font = {DB.Font[1], DB.Font[2]+1, DB.Font[3]},
		points = {
			{"BOTTOMLEFT", 0, 0},
			{"BOTTOMRIGHT", 0, 0},
		},
	},
	hotkey = {
		font = {DB.Font[1], DB.Font[2]+1, DB.Font[3]},
		points = {
			{"TOPRIGHT", 0, -0.5},
			{"TOPLEFT", 0, -0.5},
		},
	},
	count = {
		font = {DB.Font[1], DB.Font[2]+1, DB.Font[3]},
		points = {
			{"BOTTOMRIGHT", 2, 0},
		},
	},
	buttonstyle = {file = ""},
}

function P:tdGUI()
	local GUI = LibStub and LibStub('tdGUI-1.0', true)
	local DropMenu = GUI and GUI:GetClass("DropMenu")

	if DropMenu then
		hooksecurefunc(DropMenu, "Constructor", P.ReskinTooltip)
		hooksecurefunc(DropMenu, "Toggle", P.ReskinTooltip)
	end
end

function P:Skins()
	self:Ace3()
	self:tdGUI()
	self:InboxMailBag()
	self:MerInspect()
	self:alaGearMan()
	self:alaTalentEmu()
	self:HandyNotes_NPCs()
	self:ThreatClassic2()
	self:Details()
	self:Spy()
	self:TradeLog()
	self:Auctionator()
	self:ButtonForge()
	self:WowLua()
	self:PallyPower()
	self:honorspy()
	self:MeetingHorn()
	self:WeakAuras()
	self:BattleInfo()
	self:GearMenu()
	self:Accountant()
	self:alaCalendar()
	self:BagSync()
	self:ls_Toasts()
	self:NovaWorldBuffs()
	self:WIM()
	self:GoodLeader()
	self:ItemRack()
	self:tdInspect()
	self:FeatureFrame()
	self:WhisperPop()
	self:AutoBarClassic()
	self:buffOmat()
	self:Atlas()
	self:AtlasQuest()
	self:AtlasLootClassic()
	self:ExtVendorUI()
	self:Immersion()
	self:SkilletClassic()
	self:BuyEmAllClassic()
end